Bug 337012

Summary: Date & Time setup ignores chrony as NTP service
Product: systemsettings Reporter: poisson.rene
Component: kcm_clockAssignee: Paul Campbell <paul>
Status: RESOLVED FIXED    
Severity: minor    
Priority: NOR    
Version: 4.11.10   
Target Milestone: ---   
Platform: Mageia RPMs   
OS: Linux   
Latest Commit: Version Fixed In:

Description poisson.rene 2014-07-03 17:01:28 UTC
It is not possible to configure automatic date and time setup using Date & Time systemsettings component (kcm_clock).
On Mageia4 and 5-alpha1 distro, chronyd is installed but "automatically set time" is grayed out displaying a tip "No NTP utility has been found ..."

It is possible to configure chronyd using the Mageia taskbar.

Reproducible: Always

Steps to Reproduce:
1. Be sure chronyd is running systemctl is-active chronyd;service
2. Click on System Settings start menu
2. Select Date & Time icon
3. Try to select "Set date and Time automatically"
Actual Results:  
Impossible to select

Expected Results:  
List of NTP servers shall appear after selection
Comment 1 David Edmundson 2015-02-27 19:02:38 UTC
Git commit b6ae01ca8ea776c97cc57836401ca9696e2529e8 by David Edmundson.
Committed on 14/02/2015 at 13:50.
Pushed by davidedmundson into branch 'master'.

Add systemd support into the clock KCM as an optional dependency

The current time setting helper is incredibly broken.

It manually tries to run a range of NTP utilities, all of which are
deprecated.

We can just call timedated directly and cut out the middleman as it has
uses polkit anyway.

This is currently an optional dependency, and the original helper still
exists. It makes the code messy, but we have users to support for now.

Detection is done at runtime
Related: bug 196316, bug 311286, bug 317784, bug 319072, bug 339582, bug 241817, bug 178968, bug 320456, bug 317999, bug 337659
REVIEW: 122400

M  +5    -1    kcms/dateandtime/CMakeLists.txt
M  +22   -12   kcms/dateandtime/dateandtime.ui
M  +44   -30   kcms/dateandtime/dtime.cpp
M  +2    -1    kcms/dateandtime/dtime.h
M  +80   -7    kcms/dateandtime/main.cpp
M  +5    -1    kcms/dateandtime/main.h
A  +43   -0    kcms/dateandtime/timedated1.xml

http://commits.kde.org/plasma-desktop/b6ae01ca8ea776c97cc57836401ca9696e2529e8